Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| IAIK PKCS#11 Wrapper Demo version 1.2.16
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## demo.pkcs.pkcs11
Class KeyAndCertificate

    java.lang.Object
      demo.pkcs.pkcs11.KeyAndCertificate

public class KeyAndCertificate
extends Object

This class encapsulates a key and an optional certificate.

Invariants

Field Summary
`protected X509PublicKeyCertificate` | `certificate_` This optional certificate.
`protected Key` | `key_` The key.

Constructor Summary
`KeyAndCertificate(Key key, X509PublicKeyCertificate certificate)` Creates a new object that holds the given key and certificate.

Method Summary
`X509PublicKeyCertificate` | `getCertificate()` Returns the certificate.
`Key` | `getKey()` Returns the key.
`void` | `setCertificate(X509PublicKeyCertificate certificate)` Sets the certificate.
`void` | `setKey(Key key)` Sets the key.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### key_

    protected Key key_

  The key.

### certificate_

    protected X509PublicKeyCertificate certificate_

  This optional certificate.

Constructor Detail

### KeyAndCertificate

    public KeyAndCertificate(Key key,
                             X509PublicKeyCertificate certificate)

  Creates a new object that holds the given key and certificate.

Parameters:
  `key` - The key.
  `certificate` - The certificate.
Preconditions
Postconditions

Method Detail

### getCertificate

    public X509PublicKeyCertificate getCertificate()

  Returns the certificate.

  Returns:
    The certificate.
  Preconditions
  Postconditions

### getKey

    public Key getKey()

  Returns the key.

  Returns:
    The key.
  Preconditions
  Postconditions

### setCertificate

    public void setCertificate(X509PublicKeyCertificate certificate)

  Sets the certificate.

  Parameters:
    `certificate` - The certificate.
  Preconditions
  Postconditions

### setKey

    public void setKey(Key key)

  Sets the key.

  Parameters:
    `key` - The key.
  Preconditions
  Postconditions

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| IAIK PKCS#11 Wrapper Demo version 1.2.16
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

IAIK JavaSecurity Website http://jce.iaik.tugraz.at/
IAIK at Graz University of Technology, Austria, Europe
Copyright 2001-2002, IAIK, Graz University of Technology, Inffeldgasse 16a, 8010 Graz, Austria. All Rights Reserved.